#include <algorithm>
#include <cmath>
#include <cfloat>
#include <vector>

#include "caffe/layer.hpp"
#include "caffe/vision_layers.hpp"
#include "caffe/util/math_functions.hpp"
#include "caffe/util/io.hpp"
#include "caffe/filler.hpp"

namespace caffe {


template <typename Dtype>
void RandSelectLayer<Dtype>::Forward_gpu(const vector<Blob<Dtype>*>& bottom,
      vector<Blob<Dtype>*>* top) {
      Forward_cpu(bottom, top);
}


INSTANTIATE_CLASS(RandSelectLayer);


}  // namespace caffe